Public Member Functions | Public Attributes | List of all members
libebook::CHMStream::Impl Struct Reference

## Public Member Functions
| Impl (const RVNGInputStreamPtr_t &input)
unsigned | getFileCount ()
unsigned | getSysfileCount ()
const RVNGInputStreamPtr_t | getSubStream (mschmd_file *file)
| Impl (const Impl &)
Impl & | operator= (const Impl &)

## Public Attributes
const RVNGInputStreamPtr_t | stream
MSPackSystem | system
shared_ptr< mschm_decompressor > | decompressor
mschmd_header * | header
FileCache | cache
unsigned | fileCount
unsigned | sysfileCount
bool | fileCountSet
bool | sysfileCountSet

## Constructor & Destructor Documentation

## § Impl() [1/2]

libebook::CHMStream::Impl::Impl | ( | const RVNGInputStreamPtr_t & | input | ) |

## § Impl() [2/2]

libebook::CHMStream::Impl::Impl | ( | const Impl & |  | ) |

## Member Function Documentation

## § getFileCount()

unsigned libebook::CHMStream::Impl::getFileCount | ( |  | ) |

## § getSubStream()

const RVNGInputStreamPtr_t libebook::CHMStream::Impl::getSubStream | ( | mschmd_file * | file | ) |

## § getSysfileCount()

unsigned libebook::CHMStream::Impl::getSysfileCount | ( |  | ) |

## § operator=()

Impl& libebook::CHMStream::Impl::operator= | ( | const Impl & |  | ) |

## Member Data Documentation

## § cache

FileCache libebook::CHMStream::Impl::cache

## § decompressor

shared_ptr<mschm_decompressor> libebook::CHMStream::Impl::decompressor

Referenced by getSubStream().

## § fileCount

unsigned libebook::CHMStream::Impl::fileCount

Referenced by getFileCount().

## § fileCountSet

bool libebook::CHMStream::Impl::fileCountSet

Referenced by getFileCount().

## § header

mschmd_header* libebook::CHMStream::Impl::header

Referenced by getFileCount(), and getSysfileCount().

## § stream

const RVNGInputStreamPtr_t libebook::CHMStream::Impl::stream

## § sysfileCount

unsigned libebook::CHMStream::Impl::sysfileCount

Referenced by getSysfileCount().

## § sysfileCountSet

bool libebook::CHMStream::Impl::sysfileCountSet

Referenced by getSysfileCount().

## § system

MSPackSystem libebook::CHMStream::Impl::system

Referenced by getSubStream().

The documentation for this struct was generated from the following file:

- CHMStream.cpp